Subject: Re: [manet] Reactive Protocol Situation

From: Shoichi Sakane <[email-masked]>
Date: Fri, 02 Nov 2012 13:17:15 +0900

Hi,

> 1. Continue the work on the DYMO document, starting with whether there is consensus on its continued approach and also the desire to rename it to AODVv2.
> 2. Replace the existing DYMO document effort with the LOADng related document effort, defusing ealier references to LLNs as recommended in the last meeting minutes, and to focus more motivationally on general MANET problem spaces (the authors seem to have agreed to this issue if its a WG document).
> 3. Remove the working group charter for a reactive protocol, effectively killing both documents, at least from a working group (WG) standpoint. This would not be a reflection on the technology in either case, just an admission that we are not working together and reaching consensus.

I would bet to option 1.

My sense is close to the Pascal's one.

Option 3 might be overstatement because a reactive protocol is obviously useful for some kind of mobility scenarios.  We could say that "make it to a clean state and restart to standardize reactive protocols as Pascal mentioned.  I would think that a missing piece is that we don't have concrete use cases and its requirements.  And, we don't have explicit criteria whether a protocol is suitable for a certain use case or not.

I agree with that DYMO tends to be large specification.  It makes interoperability be complex.  The relative people could make a subset of DYMO as a lightweight reactive protocol so that the nodes supported it can be interoperable with a full-set DYMO gateway or router.  I think that LOADng should be so.  Of coure, it depends on a use case.

Shoichi